%define name fatrat
%define version 1.1.3
%define release %mkrel 5

Summary:   FatRat - download manager
Name:      %{name}
Version:   %{version}
Release:   %{release}
Group:     Networking/File transfer
License:   GPLv2
URL:       http://fatrat.dolezel.info/
Source0:  http://fatrat.dolezel.info/%{name}-%{version}.tar.xz
Patch1:	define_boost_fs_v2.patch 
Patch2:	fix_ftbfs_gold_linker.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: desktop-file-utils 
BuildRequires: qt4-devel
BuildRequires: libtorrent-rasterbar-devel
BuildRequires: libgloox-devel
BuildRequires: cmake
Obsoletes:  %name < %version



%description
FatRat is an open source download manager for Linux written
in C++ and built on top of the Trolltech Qt 4 library.
It is rich in features and is continuously extended.


%prep
%setup -q
%apply_patches

%build
export QTDIR=/usr/lib/qt4
export PATH=$QTDIR/bin:$PATH
cmake -DWITH_SFTP=ON -DWITH_NLS=ON -DWITH_CURL=ON -DWITH_JABBER=ON -DWITH_WEBINTERFACE=ON -DWITH_DOCUMENTATION=OFF -DCMAKE_INSTALL_PREFIX=/usr

make -j1

rm -rf %{buildroot}
%makeinstall_std
desktop-file-install --vendor="" \
    --remove-category="Application"\
    --add-category="X-MandrivaLinux-Internet-FileTransfer" \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1/
bzip2 doc/fatrat.1
install -m 644 doc/fatrat.1.bz2 $RPM_BUILD_ROOT/%{_mandir}/man1
rm -f $RPM_BUILD_ROOT/%{_mandir}/man1/fatrat.1

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus


%postun
%clean_menus


%files 
%defattr(-,root,root,-)
%doc AUTHORS README LICENSE TRANSLATIONS
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_datadir}/pixmaps/*.png
%{_includedir}/%{name}
%{_mandir}/man1/fatrat.1.bz2


%changelog
* Sun May 05 2013 Texstar <texstar at gmail.com> 1.1.3-5pclos2013
- rebuild for update libs

* Fri Nov 11 2011 pinoc <vogtpet at gmail.com> 1.1.3-4pclos2011
- rebuild against updated librasterbar6

* Sat Oct 09 2010 Sproggy <desproggster@gmail.com> 1.1.3-3pclos2010
- initial pkg

* Fri Mar 26 2010 slick50 <lxgator@gmail.com> 1.1.2-1pclos2010
- initial pkg

